CVE-2021-20293 – A reflected Cross-Site Scripting (XSS) flaw was found in RESTEasy in all versions of RESTE …

Vuln ID: CVE-2021-20293

Published:  2021-06-10  12:15:07Z

Description: A reflected Cross-Site Scripting (XSS) flaw was found in RESTEasy in all versions of RESTEasy up to 4.6.0.Final, where it did not properly handle URL encoding when calling @javax.ws.rs.PathParam without any @Produces MediaType. This flaw allows an attacker to launch a reflected XSS attack. The highest threat from this vulnerability is to data confidentiality and integrity.

Source: NVD.NIST.GOV